﻿ReagentHelper2 = LibStub("AceAddon-3.0"):NewAddon("ReagentHelper2", "AceEvent-3.0", "AceConsole-3.0")
local AceConfig = LibStub("AceConfigDialog-3.0");
--local L = LibStub("AceLocale-3.0"):GetLocale("ReagentHelper2");
local BabbleClass = LibStub("LibBabble-Class-3.0"):GetLookupTable();
local BabbleInventory = LibStub("LibBabble-Inventory-3.0"):GetLookupTable();

local ToolTipList = {};

function ReagentHelper2:OnInitialize()	
	GameTooltip:HookScript("OnTooltipSetItem", function () ReagentHelper2:ModifyItemTooltip(this) end)
end

function ReagentHelper2:ModifyItemTooltip(ToolTip)
	local itemName, ItemLink = ToolTip:GetItem();
	ReagentHelper2:SearchProffReagents(itemName);
	table.sort(ToolTipList);
	for i = 0, #(ToolTipList), 1 do
		ToolTip:AddLine(ToolTipList[i], true);
	end
end

function ReagentHelper2:SearchProffReagents(ItemName)
	ToolTipList = table.wipe(ToolTipList);
	for k, v in pairs(ReagentHelper2.Alchemy) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Alchemy"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Blacksmithing) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Blacksmithing"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Cooking) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Cooking"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Enchanting) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Enchanting"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Engineering) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Engineering"]);
		end
	end
	for k, v in pairs(ReagentHelper2.FirstAid) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["First Aid"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Inscription) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Inscription"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Jewelcrafting) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Jewelcrafting"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Leatherworking) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Leatherworking"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Mining) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Mining"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Tailoring) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleInventory["Tailoring"]);
		end
	end
	
	for k, v in pairs(ReagentHelper2.Mage) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Mage"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Priest) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Priest"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Warlock) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Warlock"]);
		end
	end
	for k, v in pairs(ReagentHelper2.DeathKnight) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Death Knight"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Druid) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Druid"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Shaman) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Shaman"]);
		end
	end
	for k, v in pairs(ReagentHelper2.Paladin) do
		if (string.lower(ItemName) == string.lower(v)) then
			table.insert(ToolTipList, BabbleClass["Paladin"]);
		end
	end
end